const jwt = require('jsonwebtoken');

const SECRET = "12345";

async function validateToken(token){
    let result = await jwt.verify(token , SECRET , (error , value)=>{
        if(value){
            return value;
        }
        else if(error){
            return error;
        }
    });
    return result;
}

async function createToken(user){
    let userToken = await jwt.sign({id : user['id'] , name :  user['name']},SECRET,{expiresIn : '1h'});
    return userToken;
}

module.exports = {
    validateToken,
    createToken,
}